<?php

namespace Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure;

class ArrayOfString implements \ArrayAccess, \Iterator, \Countable
{

    /**
     * @var string[] $ControlName
     */
    protected $ControlName = null;

    
    public function __construct()
    {
    
    }

    /**
     * @return string[]
     */
    public function getControlName()
    {
      return $this->ControlName;
    }

    /**
     * @param string[] $ControlName
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\ArrayOfString
     */
    public function setControlName(array $ControlName = null)
    {
      $this->ControlName = $ControlName;
      return $this;
    }

    /**
     * ArrayAccess implementation
     *
     * @param mixed $offset An offset to check for
     * @return boolean true on success or false on failure
     */
    public function offsetExists($offset)
    {
      return isset($this->ControlName[$offset]);
    }

    /**
     * ArrayAccess implementation
     *
     * @param mixed $offset The offset to retrieve
     * @return string
     */
    public function offsetGet($offset)
    {
      return $this->ControlName[$offset];
    }

    /**
     * ArrayAccess implementation
     *
     * @param mixed $offset The offset to assign the value to
     * @param string $value The value to set
     * @return void
     */
    public function offsetSet($offset, $value)
    {
      if (!isset($offset)) {
        $this->ControlName[] = $value;
      } else {
        $this->ControlName[$offset] = $value;
      }
    }

    /**
     * ArrayAccess implementation
     *
     * @param mixed $offset The offset to unset
     * @return void
     */
    public function offsetUnset($offset)
    {
      unset($this->ControlName[$offset]);
    }

    /**
     * Iterator implementation
     *
     * @return string Return the current element
     */
    public function current()
    {
      return current($this->ControlName);
    }

    /**
     * Iterator implementation
     * Move forward to next element
     *
     * @return void
     */
    public function next()
    {
      next($this->ControlName);
    }

    /**
     * Iterator implementation
     *
     * @return string|null Return the key of the current element or null
     */
    public function key()
    {
      return key($this->ControlName);
    }

    /**
     * Iterator implementation
     *
     * @return boolean Return the validity of the current position
     */
    public function valid()
    {
      return $this->key() !== null;
    }

    /**
     * Iterator implementation
     * Rewind the Iterator to the first element
     *
     * @return void
     */
    public function rewind()
    {
      reset($this->ControlName);
    }

    /**
     * Countable implementation
     *
     * @return string Return count of elements
     */
    public function count()
    {
      return count($this->ControlName);
    }

}
