<?php

namespace Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure;

class CentralizedOrderEntry_Sales_Opportunity_DataObjectType
{

    /**
     * @var av_key_Type $sfo_key
     */
    protected $sfo_key = null;

    /**
     * @var stringLength50_Type $sfo_type
     */
    protected $sfo_type = null;

    /**
     * @var av_key_Type $sfo_usr_key
     */
    protected $sfo_usr_key = null;

    /**
     * @var av_key_Type $sfo_cst_key
     */
    protected $sfo_cst_key = null;

    /**
     * @var stringLength100_Type $sfo_opportunity_name
     */
    protected $sfo_opportunity_name = null;

    /**
     * @var stringLength50_Type $sfo_sot_code
     */
    protected $sfo_sot_code = null;

    /**
     * @var stringLength50_Type $sfo_sor_code
     */
    protected $sfo_sor_code = null;

    /**
     * @var av_decimal4_Type $sfo_quantity
     */
    protected $sfo_quantity = null;

    /**
     * @var av_text_Type $sfo_description
     */
    protected $sfo_description = null;

    /**
     * @var av_currency_Type $sfo_amount
     */
    protected $sfo_amount = null;

    /**
     * @var av_date_Type $sfo_close_date
     */
    protected $sfo_close_date = null;

    /**
     * @var stringLength50_Type $sfo_sos_code
     */
    protected $sfo_sos_code = null;

    /**
     * @var av_decimal4_Type $sfo_close_probability
     */
    protected $sfo_close_probability = null;

    /**
     * @var av_currency_Type $sfo_expected_revenue
     */
    protected $sfo_expected_revenue = null;

    /**
     * @var stringLength50_Type $sfo_sos_code_next
     */
    protected $sfo_sos_code_next = null;

    /**
     * @var av_key_Type $sfo_ptp_key
     */
    protected $sfo_ptp_key = null;

    /**
     * @var av_key_Type $sfo_prd_key
     */
    protected $sfo_prd_key = null;

    /**
     * @var av_user_Type $sfo_add_user
     */
    protected $sfo_add_user = null;

    /**
     * @var av_date_Type $sfo_add_date
     */
    protected $sfo_add_date = null;

    /**
     * @var av_user_Type $sfo_change_user
     */
    protected $sfo_change_user = null;

    /**
     * @var av_date_Type $sfo_change_date
     */
    protected $sfo_change_date = null;

    /**
     * @var av_delete_flag_Type $sfo_delete_flag
     */
    protected $sfo_delete_flag = null;

    /**
     * @var av_key_Type $sfo_key_ext
     */
    protected $sfo_key_ext = null;

    /**
     * @var av_key_Type $sfo_entity_key
     */
    protected $sfo_entity_key = null;

    
    public function __construct()
    {
    
    }

    /**
     * @return av_key_Type
     */
    public function getSfo_key()
    {
      return $this->sfo_key;
    }

    /**
     * @param av_key_Type $sfo_key
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\CentralizedOrderEntry_Sales_Opportunity_DataObjectType
     */
    public function setSfo_key($sfo_key)
    {
      $this->sfo_key = $sfo_key;
      return $this;
    }

    /**
     * @return stringLength50_Type
     */
    public function getSfo_type()
    {
      return $this->sfo_type;
    }

    /**
     * @param stringLength50_Type $sfo_type
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\CentralizedOrderEntry_Sales_Opportunity_DataObjectType
     */
    public function setSfo_type($sfo_type)
    {
      $this->sfo_type = $sfo_type;
      return $this;
    }

    /**
     * @return av_key_Type
     */
    public function getSfo_usr_key()
    {
      return $this->sfo_usr_key;
    }

    /**
     * @param av_key_Type $sfo_usr_key
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\CentralizedOrderEntry_Sales_Opportunity_DataObjectType
     */
    public function setSfo_usr_key($sfo_usr_key)
    {
      $this->sfo_usr_key = $sfo_usr_key;
      return $this;
    }

    /**
     * @return av_key_Type
     */
    public function getSfo_cst_key()
    {
      return $this->sfo_cst_key;
    }

    /**
     * @param av_key_Type $sfo_cst_key
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\CentralizedOrderEntry_Sales_Opportunity_DataObjectType
     */
    public function setSfo_cst_key($sfo_cst_key)
    {
      $this->sfo_cst_key = $sfo_cst_key;
      return $this;
    }

    /**
     * @return stringLength100_Type
     */
    public function getSfo_opportunity_name()
    {
      return $this->sfo_opportunity_name;
    }

    /**
     * @param stringLength100_Type $sfo_opportunity_name
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\CentralizedOrderEntry_Sales_Opportunity_DataObjectType
     */
    public function setSfo_opportunity_name($sfo_opportunity_name)
    {
      $this->sfo_opportunity_name = $sfo_opportunity_name;
      return $this;
    }

    /**
     * @return stringLength50_Type
     */
    public function getSfo_sot_code()
    {
      return $this->sfo_sot_code;
    }

    /**
     * @param stringLength50_Type $sfo_sot_code
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\CentralizedOrderEntry_Sales_Opportunity_DataObjectType
     */
    public function setSfo_sot_code($sfo_sot_code)
    {
      $this->sfo_sot_code = $sfo_sot_code;
      return $this;
    }

    /**
     * @return stringLength50_Type
     */
    public function getSfo_sor_code()
    {
      return $this->sfo_sor_code;
    }

    /**
     * @param stringLength50_Type $sfo_sor_code
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\CentralizedOrderEntry_Sales_Opportunity_DataObjectType
     */
    public function setSfo_sor_code($sfo_sor_code)
    {
      $this->sfo_sor_code = $sfo_sor_code;
      return $this;
    }

    /**
     * @return av_decimal4_Type
     */
    public function getSfo_quantity()
    {
      return $this->sfo_quantity;
    }

    /**
     * @param av_decimal4_Type $sfo_quantity
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\CentralizedOrderEntry_Sales_Opportunity_DataObjectType
     */
    public function setSfo_quantity($sfo_quantity)
    {
      $this->sfo_quantity = $sfo_quantity;
      return $this;
    }

    /**
     * @return av_text_Type
     */
    public function getSfo_description()
    {
      return $this->sfo_description;
    }

    /**
     * @param av_text_Type $sfo_description
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\CentralizedOrderEntry_Sales_Opportunity_DataObjectType
     */
    public function setSfo_description($sfo_description)
    {
      $this->sfo_description = $sfo_description;
      return $this;
    }

    /**
     * @return av_currency_Type
     */
    public function getSfo_amount()
    {
      return $this->sfo_amount;
    }

    /**
     * @param av_currency_Type $sfo_amount
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\CentralizedOrderEntry_Sales_Opportunity_DataObjectType
     */
    public function setSfo_amount($sfo_amount)
    {
      $this->sfo_amount = $sfo_amount;
      return $this;
    }

    /**
     * @return av_date_Type
     */
    public function getSfo_close_date()
    {
      return $this->sfo_close_date;
    }

    /**
     * @param av_date_Type $sfo_close_date
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\CentralizedOrderEntry_Sales_Opportunity_DataObjectType
     */
    public function setSfo_close_date($sfo_close_date)
    {
      $this->sfo_close_date = $sfo_close_date;
      return $this;
    }

    /**
     * @return stringLength50_Type
     */
    public function getSfo_sos_code()
    {
      return $this->sfo_sos_code;
    }

    /**
     * @param stringLength50_Type $sfo_sos_code
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\CentralizedOrderEntry_Sales_Opportunity_DataObjectType
     */
    public function setSfo_sos_code($sfo_sos_code)
    {
      $this->sfo_sos_code = $sfo_sos_code;
      return $this;
    }

    /**
     * @return av_decimal4_Type
     */
    public function getSfo_close_probability()
    {
      return $this->sfo_close_probability;
    }

    /**
     * @param av_decimal4_Type $sfo_close_probability
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\CentralizedOrderEntry_Sales_Opportunity_DataObjectType
     */
    public function setSfo_close_probability($sfo_close_probability)
    {
      $this->sfo_close_probability = $sfo_close_probability;
      return $this;
    }

    /**
     * @return av_currency_Type
     */
    public function getSfo_expected_revenue()
    {
      return $this->sfo_expected_revenue;
    }

    /**
     * @param av_currency_Type $sfo_expected_revenue
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\CentralizedOrderEntry_Sales_Opportunity_DataObjectType
     */
    public function setSfo_expected_revenue($sfo_expected_revenue)
    {
      $this->sfo_expected_revenue = $sfo_expected_revenue;
      return $this;
    }

    /**
     * @return stringLength50_Type
     */
    public function getSfo_sos_code_next()
    {
      return $this->sfo_sos_code_next;
    }

    /**
     * @param stringLength50_Type $sfo_sos_code_next
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\CentralizedOrderEntry_Sales_Opportunity_DataObjectType
     */
    public function setSfo_sos_code_next($sfo_sos_code_next)
    {
      $this->sfo_sos_code_next = $sfo_sos_code_next;
      return $this;
    }

    /**
     * @return av_key_Type
     */
    public function getSfo_ptp_key()
    {
      return $this->sfo_ptp_key;
    }

    /**
     * @param av_key_Type $sfo_ptp_key
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\CentralizedOrderEntry_Sales_Opportunity_DataObjectType
     */
    public function setSfo_ptp_key($sfo_ptp_key)
    {
      $this->sfo_ptp_key = $sfo_ptp_key;
      return $this;
    }

    /**
     * @return av_key_Type
     */
    public function getSfo_prd_key()
    {
      return $this->sfo_prd_key;
    }

    /**
     * @param av_key_Type $sfo_prd_key
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\CentralizedOrderEntry_Sales_Opportunity_DataObjectType
     */
    public function setSfo_prd_key($sfo_prd_key)
    {
      $this->sfo_prd_key = $sfo_prd_key;
      return $this;
    }

    /**
     * @return av_user_Type
     */
    public function getSfo_add_user()
    {
      return $this->sfo_add_user;
    }

    /**
     * @param av_user_Type $sfo_add_user
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\CentralizedOrderEntry_Sales_Opportunity_DataObjectType
     */
    public function setSfo_add_user($sfo_add_user)
    {
      $this->sfo_add_user = $sfo_add_user;
      return $this;
    }

    /**
     * @return av_date_Type
     */
    public function getSfo_add_date()
    {
      return $this->sfo_add_date;
    }

    /**
     * @param av_date_Type $sfo_add_date
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\CentralizedOrderEntry_Sales_Opportunity_DataObjectType
     */
    public function setSfo_add_date($sfo_add_date)
    {
      $this->sfo_add_date = $sfo_add_date;
      return $this;
    }

    /**
     * @return av_user_Type
     */
    public function getSfo_change_user()
    {
      return $this->sfo_change_user;
    }

    /**
     * @param av_user_Type $sfo_change_user
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\CentralizedOrderEntry_Sales_Opportunity_DataObjectType
     */
    public function setSfo_change_user($sfo_change_user)
    {
      $this->sfo_change_user = $sfo_change_user;
      return $this;
    }

    /**
     * @return av_date_Type
     */
    public function getSfo_change_date()
    {
      return $this->sfo_change_date;
    }

    /**
     * @param av_date_Type $sfo_change_date
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\CentralizedOrderEntry_Sales_Opportunity_DataObjectType
     */
    public function setSfo_change_date($sfo_change_date)
    {
      $this->sfo_change_date = $sfo_change_date;
      return $this;
    }

    /**
     * @return av_delete_flag_Type
     */
    public function getSfo_delete_flag()
    {
      return $this->sfo_delete_flag;
    }

    /**
     * @param av_delete_flag_Type $sfo_delete_flag
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\CentralizedOrderEntry_Sales_Opportunity_DataObjectType
     */
    public function setSfo_delete_flag($sfo_delete_flag)
    {
      $this->sfo_delete_flag = $sfo_delete_flag;
      return $this;
    }

    /**
     * @return av_key_Type
     */
    public function getSfo_key_ext()
    {
      return $this->sfo_key_ext;
    }

    /**
     * @param av_key_Type $sfo_key_ext
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\CentralizedOrderEntry_Sales_Opportunity_DataObjectType
     */
    public function setSfo_key_ext($sfo_key_ext)
    {
      $this->sfo_key_ext = $sfo_key_ext;
      return $this;
    }

    /**
     * @return av_key_Type
     */
    public function getSfo_entity_key()
    {
      return $this->sfo_entity_key;
    }

    /**
     * @param av_key_Type $sfo_entity_key
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\CentralizedOrderEntry_Sales_Opportunity_DataObjectType
     */
    public function setSfo_entity_key($sfo_entity_key)
    {
      $this->sfo_entity_key = $sfo_entity_key;
      return $this;
    }

}
