<?php

namespace Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure;

class ExhibitorNewType
{

    /**
     * @var av_key_Type $CurrentKey
     */
    protected $CurrentKey = null;

    /**
     * @var ExhibitorNew_Exhibitor_DataObjectType $Exhibitor
     */
    protected $Exhibitor = null;

    /**
     * @var ExhibitorNew_Exhibit_Show_DataObjectType $Exhibit_Show
     */
    protected $Exhibit_Show = null;

    /**
     * @var ExhibitorNew_Booth_Person_DataObjectType $Booth_Person
     */
    protected $Booth_Person = null;

    /**
     * @var ExhibitorNew_Exhibitor_Booth_DataObjectType $Exhibitor_Booth
     */
    protected $Exhibitor_Booth = null;

    /**
     * @var ExhibitorNew_booth_complement_DataObjectType $booth_complement
     */
    protected $booth_complement = null;

    /**
     * @var ExhibitorNew_Customer_DataObjectType $Customer
     */
    protected $Customer = null;

    /**
     * @var ExhibitorNew_Contact_Person_DataObjectType $Contact_Person
     */
    protected $Contact_Person = null;

    /**
     * @var ExhibitorNew_priority_points_DataObjectType $priority_points
     */
    protected $priority_points = null;

    /**
     * @var ExhibitorNew_Invoice_DataObjectType $Invoice
     */
    protected $Invoice = null;

    /**
     * @var ExhibitorNew_Payment_DataObjectType $Payment
     */
    protected $Payment = null;

    /**
     * @var ExhibitorNew_Payment_Info_DataObjectType $Payment_Info
     */
    protected $Payment_Info = null;

    /**
     * @var ExhibitorNew_Payment_Method_DataObjectType $Payment_Method
     */
    protected $Payment_Method = null;

    /**
     * @var ExhibitorNew_Billing_Address_DataObjectType $Billing_Address
     */
    protected $Billing_Address = null;

    /**
     * @var ExhibitorNew_BillToCustomer_DataObjectType $BillToCustomer
     */
    protected $BillToCustomer = null;

    /**
     * @var ExhibitorNew_Installment_Billing_DataObjectType $Installment_Billing
     */
    protected $Installment_Billing = null;

    /**
     * @var ExhibitorNew_Exhibitor_Address_DataObjectType $Exhibitor_Address
     */
    protected $Exhibitor_Address = null;

    /**
     * @var ExhibitorNew_Primary_Contact_Address_DataObjectType $Primary_Contact_Address
     */
    protected $Primary_Contact_Address = null;

    /**
     * @var ExhibitorNew_Exhibitor_X_Contact_DataObjectType $Exhibitor_X_Contact
     */
    protected $Exhibitor_X_Contact = null;

    /**
     * @var ExhibitorNew_Shared_Booth_DataObjectType $Shared_Booth
     */
    protected $Shared_Booth = null;

    /**
     * @var ExhibitorNew_Sponsor_DataObjectType $Sponsor
     */
    protected $Sponsor = null;

    /**
     * @var ExhibitorNew_Primary_Contact_Email_DataObjectType $Primary_Contact_Email
     */
    protected $Primary_Contact_Email = null;

    /**
     * @var ExhibitorNew_Primary_Contact_Website_DataObjectType $Primary_Contact_Website
     */
    protected $Primary_Contact_Website = null;

    /**
     * @var ExhibitorNew_Exhibitor_Email_DataObjectType $Exhibitor_Email
     */
    protected $Exhibitor_Email = null;

    /**
     * @var ExhibitorNew_Exhibitor_Website_DataObjectType $Exhibitor_Website
     */
    protected $Exhibitor_Website = null;

    /**
     * @var Exhibitor_BoothCollectionType $Exhibitor_BoothCollection
     */
    protected $Exhibitor_BoothCollection = null;

    /**
     * @var Invoice_DetailCollectionType $Invoice_DetailCollection
     */
    protected $Invoice_DetailCollection = null;

    /**
     * @var Additional_Invoice_DetailCollectionType $Additional_Invoice_DetailCollection
     */
    protected $Additional_Invoice_DetailCollection = null;

    /**
     * @param ExhibitorNew_Exhibitor_DataObjectType $Exhibitor
     * @param ExhibitorNew_Exhibit_Show_DataObjectType $Exhibit_Show
     * @param ExhibitorNew_Booth_Person_DataObjectType $Booth_Person
     * @param ExhibitorNew_Exhibitor_Booth_DataObjectType $Exhibitor_Booth
     * @param ExhibitorNew_booth_complement_DataObjectType $booth_complement
     * @param ExhibitorNew_Customer_DataObjectType $Customer
     * @param ExhibitorNew_Contact_Person_DataObjectType $Contact_Person
     * @param ExhibitorNew_priority_points_DataObjectType $priority_points
     * @param ExhibitorNew_Invoice_DataObjectType $Invoice
     * @param ExhibitorNew_Payment_DataObjectType $Payment
     * @param ExhibitorNew_Payment_Info_DataObjectType $Payment_Info
     * @param ExhibitorNew_Payment_Method_DataObjectType $Payment_Method
     * @param ExhibitorNew_Billing_Address_DataObjectType $Billing_Address
     * @param ExhibitorNew_BillToCustomer_DataObjectType $BillToCustomer
     * @param ExhibitorNew_Installment_Billing_DataObjectType $Installment_Billing
     * @param ExhibitorNew_Exhibitor_Address_DataObjectType $Exhibitor_Address
     * @param ExhibitorNew_Primary_Contact_Address_DataObjectType $Primary_Contact_Address
     * @param ExhibitorNew_Exhibitor_X_Contact_DataObjectType $Exhibitor_X_Contact
     * @param ExhibitorNew_Shared_Booth_DataObjectType $Shared_Booth
     * @param ExhibitorNew_Sponsor_DataObjectType $Sponsor
     * @param ExhibitorNew_Primary_Contact_Email_DataObjectType $Primary_Contact_Email
     * @param ExhibitorNew_Primary_Contact_Website_DataObjectType $Primary_Contact_Website
     * @param ExhibitorNew_Exhibitor_Email_DataObjectType $Exhibitor_Email
     * @param ExhibitorNew_Exhibitor_Website_DataObjectType $Exhibitor_Website
     * @param Exhibitor_BoothCollectionType $Exhibitor_BoothCollection
     * @param Invoice_DetailCollectionType $Invoice_DetailCollection
     * @param Additional_Invoice_DetailCollectionType $Additional_Invoice_DetailCollection
     */
    public function __construct($Exhibitor, $Exhibit_Show, $Booth_Person, $Exhibitor_Booth, $booth_complement, $Customer, $Contact_Person, $priority_points, $Invoice, $Payment, $Payment_Info, $Payment_Method, $Billing_Address, $BillToCustomer, $Installment_Billing, $Exhibitor_Address, $Primary_Contact_Address, $Exhibitor_X_Contact, $Shared_Booth, $Sponsor, $Primary_Contact_Email, $Primary_Contact_Website, $Exhibitor_Email, $Exhibitor_Website, $Exhibitor_BoothCollection, $Invoice_DetailCollection, $Additional_Invoice_DetailCollection)
    {
      $this->Exhibitor = $Exhibitor;
      $this->Exhibit_Show = $Exhibit_Show;
      $this->Booth_Person = $Booth_Person;
      $this->Exhibitor_Booth = $Exhibitor_Booth;
      $this->booth_complement = $booth_complement;
      $this->Customer = $Customer;
      $this->Contact_Person = $Contact_Person;
      $this->priority_points = $priority_points;
      $this->Invoice = $Invoice;
      $this->Payment = $Payment;
      $this->Payment_Info = $Payment_Info;
      $this->Payment_Method = $Payment_Method;
      $this->Billing_Address = $Billing_Address;
      $this->BillToCustomer = $BillToCustomer;
      $this->Installment_Billing = $Installment_Billing;
      $this->Exhibitor_Address = $Exhibitor_Address;
      $this->Primary_Contact_Address = $Primary_Contact_Address;
      $this->Exhibitor_X_Contact = $Exhibitor_X_Contact;
      $this->Shared_Booth = $Shared_Booth;
      $this->Sponsor = $Sponsor;
      $this->Primary_Contact_Email = $Primary_Contact_Email;
      $this->Primary_Contact_Website = $Primary_Contact_Website;
      $this->Exhibitor_Email = $Exhibitor_Email;
      $this->Exhibitor_Website = $Exhibitor_Website;
      $this->Exhibitor_BoothCollection = $Exhibitor_BoothCollection;
      $this->Invoice_DetailCollection = $Invoice_DetailCollection;
      $this->Additional_Invoice_DetailCollection = $Additional_Invoice_DetailCollection;
    }

    /**
     * @return av_key_Type
     */
    public function getCurrentKey()
    {
      return $this->CurrentKey;
    }

    /**
     * @param av_key_Type $CurrentKey
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\ExhibitorNewType
     */
    public function setCurrentKey($CurrentKey)
    {
      $this->CurrentKey = $CurrentKey;
      return $this;
    }

    /**
     * @return ExhibitorNew_Exhibitor_DataObjectType
     */
    public function getExhibitor()
    {
      return $this->Exhibitor;
    }

    /**
     * @param ExhibitorNew_Exhibitor_DataObjectType $Exhibitor
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\ExhibitorNewType
     */
    public function setExhibitor($Exhibitor)
    {
      $this->Exhibitor = $Exhibitor;
      return $this;
    }

    /**
     * @return ExhibitorNew_Exhibit_Show_DataObjectType
     */
    public function getExhibit_Show()
    {
      return $this->Exhibit_Show;
    }

    /**
     * @param ExhibitorNew_Exhibit_Show_DataObjectType $Exhibit_Show
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\ExhibitorNewType
     */
    public function setExhibit_Show($Exhibit_Show)
    {
      $this->Exhibit_Show = $Exhibit_Show;
      return $this;
    }

    /**
     * @return ExhibitorNew_Booth_Person_DataObjectType
     */
    public function getBooth_Person()
    {
      return $this->Booth_Person;
    }

    /**
     * @param ExhibitorNew_Booth_Person_DataObjectType $Booth_Person
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\ExhibitorNewType
     */
    public function setBooth_Person($Booth_Person)
    {
      $this->Booth_Person = $Booth_Person;
      return $this;
    }

    /**
     * @return ExhibitorNew_Exhibitor_Booth_DataObjectType
     */
    public function getExhibitor_Booth()
    {
      return $this->Exhibitor_Booth;
    }

    /**
     * @param ExhibitorNew_Exhibitor_Booth_DataObjectType $Exhibitor_Booth
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\ExhibitorNewType
     */
    public function setExhibitor_Booth($Exhibitor_Booth)
    {
      $this->Exhibitor_Booth = $Exhibitor_Booth;
      return $this;
    }

    /**
     * @return ExhibitorNew_booth_complement_DataObjectType
     */
    public function getBooth_complement()
    {
      return $this->booth_complement;
    }

    /**
     * @param ExhibitorNew_booth_complement_DataObjectType $booth_complement
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\ExhibitorNewType
     */
    public function setBooth_complement($booth_complement)
    {
      $this->booth_complement = $booth_complement;
      return $this;
    }

    /**
     * @return ExhibitorNew_Customer_DataObjectType
     */
    public function getCustomer()
    {
      return $this->Customer;
    }

    /**
     * @param ExhibitorNew_Customer_DataObjectType $Customer
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\ExhibitorNewType
     */
    public function setCustomer($Customer)
    {
      $this->Customer = $Customer;
      return $this;
    }

    /**
     * @return ExhibitorNew_Contact_Person_DataObjectType
     */
    public function getContact_Person()
    {
      return $this->Contact_Person;
    }

    /**
     * @param ExhibitorNew_Contact_Person_DataObjectType $Contact_Person
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\ExhibitorNewType
     */
    public function setContact_Person($Contact_Person)
    {
      $this->Contact_Person = $Contact_Person;
      return $this;
    }

    /**
     * @return ExhibitorNew_priority_points_DataObjectType
     */
    public function getPriority_points()
    {
      return $this->priority_points;
    }

    /**
     * @param ExhibitorNew_priority_points_DataObjectType $priority_points
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\ExhibitorNewType
     */
    public function setPriority_points($priority_points)
    {
      $this->priority_points = $priority_points;
      return $this;
    }

    /**
     * @return ExhibitorNew_Invoice_DataObjectType
     */
    public function getInvoice()
    {
      return $this->Invoice;
    }

    /**
     * @param ExhibitorNew_Invoice_DataObjectType $Invoice
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\ExhibitorNewType
     */
    public function setInvoice($Invoice)
    {
      $this->Invoice = $Invoice;
      return $this;
    }

    /**
     * @return ExhibitorNew_Payment_DataObjectType
     */
    public function getPayment()
    {
      return $this->Payment;
    }

    /**
     * @param ExhibitorNew_Payment_DataObjectType $Payment
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\ExhibitorNewType
     */
    public function setPayment($Payment)
    {
      $this->Payment = $Payment;
      return $this;
    }

    /**
     * @return ExhibitorNew_Payment_Info_DataObjectType
     */
    public function getPayment_Info()
    {
      return $this->Payment_Info;
    }

    /**
     * @param ExhibitorNew_Payment_Info_DataObjectType $Payment_Info
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\ExhibitorNewType
     */
    public function setPayment_Info($Payment_Info)
    {
      $this->Payment_Info = $Payment_Info;
      return $this;
    }

    /**
     * @return ExhibitorNew_Payment_Method_DataObjectType
     */
    public function getPayment_Method()
    {
      return $this->Payment_Method;
    }

    /**
     * @param ExhibitorNew_Payment_Method_DataObjectType $Payment_Method
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\ExhibitorNewType
     */
    public function setPayment_Method($Payment_Method)
    {
      $this->Payment_Method = $Payment_Method;
      return $this;
    }

    /**
     * @return ExhibitorNew_Billing_Address_DataObjectType
     */
    public function getBilling_Address()
    {
      return $this->Billing_Address;
    }

    /**
     * @param ExhibitorNew_Billing_Address_DataObjectType $Billing_Address
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\ExhibitorNewType
     */
    public function setBilling_Address($Billing_Address)
    {
      $this->Billing_Address = $Billing_Address;
      return $this;
    }

    /**
     * @return ExhibitorNew_BillToCustomer_DataObjectType
     */
    public function getBillToCustomer()
    {
      return $this->BillToCustomer;
    }

    /**
     * @param ExhibitorNew_BillToCustomer_DataObjectType $BillToCustomer
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\ExhibitorNewType
     */
    public function setBillToCustomer($BillToCustomer)
    {
      $this->BillToCustomer = $BillToCustomer;
      return $this;
    }

    /**
     * @return ExhibitorNew_Installment_Billing_DataObjectType
     */
    public function getInstallment_Billing()
    {
      return $this->Installment_Billing;
    }

    /**
     * @param ExhibitorNew_Installment_Billing_DataObjectType $Installment_Billing
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\ExhibitorNewType
     */
    public function setInstallment_Billing($Installment_Billing)
    {
      $this->Installment_Billing = $Installment_Billing;
      return $this;
    }

    /**
     * @return ExhibitorNew_Exhibitor_Address_DataObjectType
     */
    public function getExhibitor_Address()
    {
      return $this->Exhibitor_Address;
    }

    /**
     * @param ExhibitorNew_Exhibitor_Address_DataObjectType $Exhibitor_Address
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\ExhibitorNewType
     */
    public function setExhibitor_Address($Exhibitor_Address)
    {
      $this->Exhibitor_Address = $Exhibitor_Address;
      return $this;
    }

    /**
     * @return ExhibitorNew_Primary_Contact_Address_DataObjectType
     */
    public function getPrimary_Contact_Address()
    {
      return $this->Primary_Contact_Address;
    }

    /**
     * @param ExhibitorNew_Primary_Contact_Address_DataObjectType $Primary_Contact_Address
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\ExhibitorNewType
     */
    public function setPrimary_Contact_Address($Primary_Contact_Address)
    {
      $this->Primary_Contact_Address = $Primary_Contact_Address;
      return $this;
    }

    /**
     * @return ExhibitorNew_Exhibitor_X_Contact_DataObjectType
     */
    public function getExhibitor_X_Contact()
    {
      return $this->Exhibitor_X_Contact;
    }

    /**
     * @param ExhibitorNew_Exhibitor_X_Contact_DataObjectType $Exhibitor_X_Contact
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\ExhibitorNewType
     */
    public function setExhibitor_X_Contact($Exhibitor_X_Contact)
    {
      $this->Exhibitor_X_Contact = $Exhibitor_X_Contact;
      return $this;
    }

    /**
     * @return ExhibitorNew_Shared_Booth_DataObjectType
     */
    public function getShared_Booth()
    {
      return $this->Shared_Booth;
    }

    /**
     * @param ExhibitorNew_Shared_Booth_DataObjectType $Shared_Booth
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\ExhibitorNewType
     */
    public function setShared_Booth($Shared_Booth)
    {
      $this->Shared_Booth = $Shared_Booth;
      return $this;
    }

    /**
     * @return ExhibitorNew_Sponsor_DataObjectType
     */
    public function getSponsor()
    {
      return $this->Sponsor;
    }

    /**
     * @param ExhibitorNew_Sponsor_DataObjectType $Sponsor
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\ExhibitorNewType
     */
    public function setSponsor($Sponsor)
    {
      $this->Sponsor = $Sponsor;
      return $this;
    }

    /**
     * @return ExhibitorNew_Primary_Contact_Email_DataObjectType
     */
    public function getPrimary_Contact_Email()
    {
      return $this->Primary_Contact_Email;
    }

    /**
     * @param ExhibitorNew_Primary_Contact_Email_DataObjectType $Primary_Contact_Email
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\ExhibitorNewType
     */
    public function setPrimary_Contact_Email($Primary_Contact_Email)
    {
      $this->Primary_Contact_Email = $Primary_Contact_Email;
      return $this;
    }

    /**
     * @return ExhibitorNew_Primary_Contact_Website_DataObjectType
     */
    public function getPrimary_Contact_Website()
    {
      return $this->Primary_Contact_Website;
    }

    /**
     * @param ExhibitorNew_Primary_Contact_Website_DataObjectType $Primary_Contact_Website
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\ExhibitorNewType
     */
    public function setPrimary_Contact_Website($Primary_Contact_Website)
    {
      $this->Primary_Contact_Website = $Primary_Contact_Website;
      return $this;
    }

    /**
     * @return ExhibitorNew_Exhibitor_Email_DataObjectType
     */
    public function getExhibitor_Email()
    {
      return $this->Exhibitor_Email;
    }

    /**
     * @param ExhibitorNew_Exhibitor_Email_DataObjectType $Exhibitor_Email
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\ExhibitorNewType
     */
    public function setExhibitor_Email($Exhibitor_Email)
    {
      $this->Exhibitor_Email = $Exhibitor_Email;
      return $this;
    }

    /**
     * @return ExhibitorNew_Exhibitor_Website_DataObjectType
     */
    public function getExhibitor_Website()
    {
      return $this->Exhibitor_Website;
    }

    /**
     * @param ExhibitorNew_Exhibitor_Website_DataObjectType $Exhibitor_Website
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\ExhibitorNewType
     */
    public function setExhibitor_Website($Exhibitor_Website)
    {
      $this->Exhibitor_Website = $Exhibitor_Website;
      return $this;
    }

    /**
     * @return Exhibitor_BoothCollectionType
     */
    public function getExhibitor_BoothCollection()
    {
      return $this->Exhibitor_BoothCollection;
    }

    /**
     * @param Exhibitor_BoothCollectionType $Exhibitor_BoothCollection
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\ExhibitorNewType
     */
    public function setExhibitor_BoothCollection($Exhibitor_BoothCollection)
    {
      $this->Exhibitor_BoothCollection = $Exhibitor_BoothCollection;
      return $this;
    }

    /**
     * @return Invoice_DetailCollectionType
     */
    public function getInvoice_DetailCollection()
    {
      return $this->Invoice_DetailCollection;
    }

    /**
     * @param Invoice_DetailCollectionType $Invoice_DetailCollection
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\ExhibitorNewType
     */
    public function setInvoice_DetailCollection($Invoice_DetailCollection)
    {
      $this->Invoice_DetailCollection = $Invoice_DetailCollection;
      return $this;
    }

    /**
     * @return Additional_Invoice_DetailCollectionType
     */
    public function getAdditional_Invoice_DetailCollection()
    {
      return $this->Additional_Invoice_DetailCollection;
    }

    /**
     * @param Additional_Invoice_DetailCollectionType $Additional_Invoice_DetailCollection
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\ExhibitorNewType
     */
    public function setAdditional_Invoice_DetailCollection($Additional_Invoice_DetailCollection)
    {
      $this->Additional_Invoice_DetailCollection = $Additional_Invoice_DetailCollection;
      return $this;
    }

}
