<?php

namespace Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure;

class ArrayOfMergeCustomer implements \ArrayAccess, \Iterator, \Countable
{

    /**
     * @var MergeCustomer[] $MergeCustomer
     */
    protected $MergeCustomer = null;

    
    public function __construct()
    {
    
    }

    /**
     * @return MergeCustomer[]
     */
    public function getMergeCustomer()
    {
      return $this->MergeCustomer;
    }

    /**
     * @param MergeCustomer[] $MergeCustomer
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\ArrayOfMergeCustomer
     */
    public function setMergeCustomer(array $MergeCustomer = null)
    {
      $this->MergeCustomer = $MergeCustomer;
      return $this;
    }

    /**
     * ArrayAccess implementation
     *
     * @param mixed $offset An offset to check for
     * @return boolean true on success or false on failure
     */
    public function offsetExists($offset)
    {
      return isset($this->MergeCustomer[$offset]);
    }

    /**
     * ArrayAccess implementation
     *
     * @param mixed $offset The offset to retrieve
     * @return MergeCustomer
     */
    public function offsetGet($offset)
    {
      return $this->MergeCustomer[$offset];
    }

    /**
     * ArrayAccess implementation
     *
     * @param mixed $offset The offset to assign the value to
     * @param MergeCustomer $value The value to set
     * @return void
     */
    public function offsetSet($offset, $value)
    {
      if (!isset($offset)) {
        $this->MergeCustomer[] = $value;
      } else {
        $this->MergeCustomer[$offset] = $value;
      }
    }

    /**
     * ArrayAccess implementation
     *
     * @param mixed $offset The offset to unset
     * @return void
     */
    public function offsetUnset($offset)
    {
      unset($this->MergeCustomer[$offset]);
    }

    /**
     * Iterator implementation
     *
     * @return MergeCustomer Return the current element
     */
    public function current()
    {
      return current($this->MergeCustomer);
    }

    /**
     * Iterator implementation
     * Move forward to next element
     *
     * @return void
     */
    public function next()
    {
      next($this->MergeCustomer);
    }

    /**
     * Iterator implementation
     *
     * @return string|null Return the key of the current element or null
     */
    public function key()
    {
      return key($this->MergeCustomer);
    }

    /**
     * Iterator implementation
     *
     * @return boolean Return the validity of the current position
     */
    public function valid()
    {
      return $this->key() !== null;
    }

    /**
     * Iterator implementation
     * Rewind the Iterator to the first element
     *
     * @return void
     */
    public function rewind()
    {
      reset($this->MergeCustomer);
    }

    /**
     * Countable implementation
     *
     * @return MergeCustomer Return count of elements
     */
    public function count()
    {
      return count($this->MergeCustomer);
    }

}
