<?php

namespace Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure;

class GetCustomerCommunicationPreference
{

    /**
     * @var string $customerKey
     */
    protected $customerKey = null;

    /**
     * @var string $preferenceTypeKey
     */
    protected $preferenceTypeKey = null;

    /**
     * @param string $customerKey
     * @param string $preferenceTypeKey
     */
    public function __construct($customerKey, $preferenceTypeKey)
    {
      $this->customerKey = $customerKey;
      $this->preferenceTypeKey = $preferenceTypeKey;
    }

    /**
     * @return string
     */
    public function getCustomerKey()
    {
      return $this->customerKey;
    }

    /**
     * @param string $customerKey
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\GetCustomerCommunicationPreference
     */
    public function setCustomerKey($customerKey)
    {
      $this->customerKey = $customerKey;
      return $this;
    }

    /**
     * @return string
     */
    public function getPreferenceTypeKey()
    {
      return $this->preferenceTypeKey;
    }

    /**
     * @param string $preferenceTypeKey
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\GetCustomerCommunicationPreference
     */
    public function setPreferenceTypeKey($preferenceTypeKey)
    {
      $this->preferenceTypeKey = $preferenceTypeKey;
      return $this;
    }

}
