<?php

namespace Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure;

class mb_membershipType
{

    /**
     * @var av_key_Type $CurrentKey
     */
    protected $CurrentKey = null;

    /**
     * @var mb_membership_Membership_DataObjectType $Membership
     */
    protected $Membership = null;

    /**
     * @var mb_membership_Chapter_Membership_DataObjectType $Chapter_Membership
     */
    protected $Chapter_Membership = null;

    /**
     * @var mb_membership_Change_Membership_DataObjectType $Change_Membership
     */
    protected $Change_Membership = null;

    /**
     * @var mb_membership_Invoice_DataObjectType $Invoice
     */
    protected $Invoice = null;

    /**
     * @var mb_membership_Batch_DataObjectType $Batch
     */
    protected $Batch = null;

    /**
     * @var mb_membership_Inovice_Terms_DataObjectType $Inovice_Terms
     */
    protected $Inovice_Terms = null;

    /**
     * @var mb_membership_Individual_DataObjectType $Individual
     */
    protected $Individual = null;

    /**
     * @var mb_membership_Customer_DataObjectType $Customer
     */
    protected $Customer = null;

    /**
     * @var mb_membership_Customer_Lookup_DataObjectType $Customer_Lookup
     */
    protected $Customer_Lookup = null;

    /**
     * @var mb_membership_Referring_Customer_DataObjectType $Referring_Customer
     */
    protected $Referring_Customer = null;

    /**
     * @var mb_membership_Organization_DataObjectType $Organization
     */
    protected $Organization = null;

    /**
     * @var mb_membership_Membership_Invoices_DataObjectType $Membership_Invoices
     */
    protected $Membership_Invoices = null;

    /**
     * @var mb_membership_Chapter_DataObjectType $Chapter
     */
    protected $Chapter = null;

    /**
     * @var mb_membership_Member_Type_DataObjectType $Member_Type
     */
    protected $Member_Type = null;

    /**
     * @var mb_membership_Membership_Audit_Trail_DataObjectType $Membership_Audit_Trail
     */
    protected $Membership_Audit_Trail = null;

    /**
     * @var mb_membership_Member_Dues_History_DataObjectType $Member_Dues_History
     */
    protected $Member_Dues_History = null;

    /**
     * @var mb_membership_Dues_Variables_DataObjectType $Dues_Variables
     */
    protected $Dues_Variables = null;

    /**
     * @var mb_membership_Payment_DataObjectType $Payment
     */
    protected $Payment = null;

    /**
     * @var mb_membership_Payment_Info_DataObjectType $Payment_Info
     */
    protected $Payment_Info = null;

    /**
     * @var mb_membership_Payment_Method_DataObjectType $Payment_Method
     */
    protected $Payment_Method = null;

    /**
     * @var mb_membership_Association_Package_DataObjectType $Association_Package
     */
    protected $Association_Package = null;

    /**
     * @var mb_membership_Association_DataObjectType $Association
     */
    protected $Association = null;

    /**
     * @var mb_membership_Bundle_DataObjectType $Bundle
     */
    protected $Bundle = null;

    /**
     * @var mb_membership_Installment_Billing_DataObjectType $Installment_Billing
     */
    protected $Installment_Billing = null;

    /**
     * @var mb_membership_Package_Component_DataObjectType $Package_Component
     */
    protected $Package_Component = null;

    /**
     * @var mb_membership_Package_DataObjectType $Package
     */
    protected $Package = null;

    /**
     * @var mb_membership_Product_DataObjectType $Product
     */
    protected $Product = null;

    /**
     * @var mb_membership_Chapter_Product_DataObjectType $Chapter_Product
     */
    protected $Chapter_Product = null;

    /**
     * @var mb_membership_CustomerAddress_DataObjectType $CustomerAddress
     */
    protected $CustomerAddress = null;

    /**
     * @var mb_membership_source_code_DataObjectType $source_code
     */
    protected $source_code = null;

    /**
     * @var Invoice_DetailCollectionType $Invoice_DetailCollection
     */
    protected $Invoice_DetailCollection = null;

    /**
     * @param mb_membership_Membership_DataObjectType $Membership
     * @param mb_membership_Chapter_Membership_DataObjectType $Chapter_Membership
     * @param mb_membership_Change_Membership_DataObjectType $Change_Membership
     * @param mb_membership_Invoice_DataObjectType $Invoice
     * @param mb_membership_Batch_DataObjectType $Batch
     * @param mb_membership_Inovice_Terms_DataObjectType $Inovice_Terms
     * @param mb_membership_Individual_DataObjectType $Individual
     * @param mb_membership_Customer_DataObjectType $Customer
     * @param mb_membership_Customer_Lookup_DataObjectType $Customer_Lookup
     * @param mb_membership_Referring_Customer_DataObjectType $Referring_Customer
     * @param mb_membership_Organization_DataObjectType $Organization
     * @param mb_membership_Membership_Invoices_DataObjectType $Membership_Invoices
     * @param mb_membership_Chapter_DataObjectType $Chapter
     * @param mb_membership_Member_Type_DataObjectType $Member_Type
     * @param mb_membership_Membership_Audit_Trail_DataObjectType $Membership_Audit_Trail
     * @param mb_membership_Member_Dues_History_DataObjectType $Member_Dues_History
     * @param mb_membership_Dues_Variables_DataObjectType $Dues_Variables
     * @param mb_membership_Payment_DataObjectType $Payment
     * @param mb_membership_Payment_Info_DataObjectType $Payment_Info
     * @param mb_membership_Payment_Method_DataObjectType $Payment_Method
     * @param mb_membership_Association_Package_DataObjectType $Association_Package
     * @param mb_membership_Association_DataObjectType $Association
     * @param mb_membership_Bundle_DataObjectType $Bundle
     * @param mb_membership_Installment_Billing_DataObjectType $Installment_Billing
     * @param mb_membership_Package_Component_DataObjectType $Package_Component
     * @param mb_membership_Package_DataObjectType $Package
     * @param mb_membership_Product_DataObjectType $Product
     * @param mb_membership_Chapter_Product_DataObjectType $Chapter_Product
     * @param mb_membership_CustomerAddress_DataObjectType $CustomerAddress
     * @param mb_membership_source_code_DataObjectType $source_code
     * @param Invoice_DetailCollectionType $Invoice_DetailCollection
     */
    public function __construct($Membership, $Chapter_Membership, $Change_Membership, $Invoice, $Batch, $Inovice_Terms, $Individual, $Customer, $Customer_Lookup, $Referring_Customer, $Organization, $Membership_Invoices, $Chapter, $Member_Type, $Membership_Audit_Trail, $Member_Dues_History, $Dues_Variables, $Payment, $Payment_Info, $Payment_Method, $Association_Package, $Association, $Bundle, $Installment_Billing, $Package_Component, $Package, $Product, $Chapter_Product, $CustomerAddress, $source_code, $Invoice_DetailCollection)
    {
      $this->Membership = $Membership;
      $this->Chapter_Membership = $Chapter_Membership;
      $this->Change_Membership = $Change_Membership;
      $this->Invoice = $Invoice;
      $this->Batch = $Batch;
      $this->Inovice_Terms = $Inovice_Terms;
      $this->Individual = $Individual;
      $this->Customer = $Customer;
      $this->Customer_Lookup = $Customer_Lookup;
      $this->Referring_Customer = $Referring_Customer;
      $this->Organization = $Organization;
      $this->Membership_Invoices = $Membership_Invoices;
      $this->Chapter = $Chapter;
      $this->Member_Type = $Member_Type;
      $this->Membership_Audit_Trail = $Membership_Audit_Trail;
      $this->Member_Dues_History = $Member_Dues_History;
      $this->Dues_Variables = $Dues_Variables;
      $this->Payment = $Payment;
      $this->Payment_Info = $Payment_Info;
      $this->Payment_Method = $Payment_Method;
      $this->Association_Package = $Association_Package;
      $this->Association = $Association;
      $this->Bundle = $Bundle;
      $this->Installment_Billing = $Installment_Billing;
      $this->Package_Component = $Package_Component;
      $this->Package = $Package;
      $this->Product = $Product;
      $this->Chapter_Product = $Chapter_Product;
      $this->CustomerAddress = $CustomerAddress;
      $this->source_code = $source_code;
      $this->Invoice_DetailCollection = $Invoice_DetailCollection;
    }

    /**
     * @return av_key_Type
     */
    public function getCurrentKey()
    {
      return $this->CurrentKey;
    }

    /**
     * @param av_key_Type $CurrentKey
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\mb_membershipType
     */
    public function setCurrentKey($CurrentKey)
    {
      $this->CurrentKey = $CurrentKey;
      return $this;
    }

    /**
     * @return mb_membership_Membership_DataObjectType
     */
    public function getMembership()
    {
      return $this->Membership;
    }

    /**
     * @param mb_membership_Membership_DataObjectType $Membership
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\mb_membershipType
     */
    public function setMembership($Membership)
    {
      $this->Membership = $Membership;
      return $this;
    }

    /**
     * @return mb_membership_Chapter_Membership_DataObjectType
     */
    public function getChapter_Membership()
    {
      return $this->Chapter_Membership;
    }

    /**
     * @param mb_membership_Chapter_Membership_DataObjectType $Chapter_Membership
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\mb_membershipType
     */
    public function setChapter_Membership($Chapter_Membership)
    {
      $this->Chapter_Membership = $Chapter_Membership;
      return $this;
    }

    /**
     * @return mb_membership_Change_Membership_DataObjectType
     */
    public function getChange_Membership()
    {
      return $this->Change_Membership;
    }

    /**
     * @param mb_membership_Change_Membership_DataObjectType $Change_Membership
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\mb_membershipType
     */
    public function setChange_Membership($Change_Membership)
    {
      $this->Change_Membership = $Change_Membership;
      return $this;
    }

    /**
     * @return mb_membership_Invoice_DataObjectType
     */
    public function getInvoice()
    {
      return $this->Invoice;
    }

    /**
     * @param mb_membership_Invoice_DataObjectType $Invoice
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\mb_membershipType
     */
    public function setInvoice($Invoice)
    {
      $this->Invoice = $Invoice;
      return $this;
    }

    /**
     * @return mb_membership_Batch_DataObjectType
     */
    public function getBatch()
    {
      return $this->Batch;
    }

    /**
     * @param mb_membership_Batch_DataObjectType $Batch
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\mb_membershipType
     */
    public function setBatch($Batch)
    {
      $this->Batch = $Batch;
      return $this;
    }

    /**
     * @return mb_membership_Inovice_Terms_DataObjectType
     */
    public function getInovice_Terms()
    {
      return $this->Inovice_Terms;
    }

    /**
     * @param mb_membership_Inovice_Terms_DataObjectType $Inovice_Terms
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\mb_membershipType
     */
    public function setInovice_Terms($Inovice_Terms)
    {
      $this->Inovice_Terms = $Inovice_Terms;
      return $this;
    }

    /**
     * @return mb_membership_Individual_DataObjectType
     */
    public function getIndividual()
    {
      return $this->Individual;
    }

    /**
     * @param mb_membership_Individual_DataObjectType $Individual
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\mb_membershipType
     */
    public function setIndividual($Individual)
    {
      $this->Individual = $Individual;
      return $this;
    }

    /**
     * @return mb_membership_Customer_DataObjectType
     */
    public function getCustomer()
    {
      return $this->Customer;
    }

    /**
     * @param mb_membership_Customer_DataObjectType $Customer
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\mb_membershipType
     */
    public function setCustomer($Customer)
    {
      $this->Customer = $Customer;
      return $this;
    }

    /**
     * @return mb_membership_Customer_Lookup_DataObjectType
     */
    public function getCustomer_Lookup()
    {
      return $this->Customer_Lookup;
    }

    /**
     * @param mb_membership_Customer_Lookup_DataObjectType $Customer_Lookup
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\mb_membershipType
     */
    public function setCustomer_Lookup($Customer_Lookup)
    {
      $this->Customer_Lookup = $Customer_Lookup;
      return $this;
    }

    /**
     * @return mb_membership_Referring_Customer_DataObjectType
     */
    public function getReferring_Customer()
    {
      return $this->Referring_Customer;
    }

    /**
     * @param mb_membership_Referring_Customer_DataObjectType $Referring_Customer
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\mb_membershipType
     */
    public function setReferring_Customer($Referring_Customer)
    {
      $this->Referring_Customer = $Referring_Customer;
      return $this;
    }

    /**
     * @return mb_membership_Organization_DataObjectType
     */
    public function getOrganization()
    {
      return $this->Organization;
    }

    /**
     * @param mb_membership_Organization_DataObjectType $Organization
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\mb_membershipType
     */
    public function setOrganization($Organization)
    {
      $this->Organization = $Organization;
      return $this;
    }

    /**
     * @return mb_membership_Membership_Invoices_DataObjectType
     */
    public function getMembership_Invoices()
    {
      return $this->Membership_Invoices;
    }

    /**
     * @param mb_membership_Membership_Invoices_DataObjectType $Membership_Invoices
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\mb_membershipType
     */
    public function setMembership_Invoices($Membership_Invoices)
    {
      $this->Membership_Invoices = $Membership_Invoices;
      return $this;
    }

    /**
     * @return mb_membership_Chapter_DataObjectType
     */
    public function getChapter()
    {
      return $this->Chapter;
    }

    /**
     * @param mb_membership_Chapter_DataObjectType $Chapter
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\mb_membershipType
     */
    public function setChapter($Chapter)
    {
      $this->Chapter = $Chapter;
      return $this;
    }

    /**
     * @return mb_membership_Member_Type_DataObjectType
     */
    public function getMember_Type()
    {
      return $this->Member_Type;
    }

    /**
     * @param mb_membership_Member_Type_DataObjectType $Member_Type
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\mb_membershipType
     */
    public function setMember_Type($Member_Type)
    {
      $this->Member_Type = $Member_Type;
      return $this;
    }

    /**
     * @return mb_membership_Membership_Audit_Trail_DataObjectType
     */
    public function getMembership_Audit_Trail()
    {
      return $this->Membership_Audit_Trail;
    }

    /**
     * @param mb_membership_Membership_Audit_Trail_DataObjectType $Membership_Audit_Trail
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\mb_membershipType
     */
    public function setMembership_Audit_Trail($Membership_Audit_Trail)
    {
      $this->Membership_Audit_Trail = $Membership_Audit_Trail;
      return $this;
    }

    /**
     * @return mb_membership_Member_Dues_History_DataObjectType
     */
    public function getMember_Dues_History()
    {
      return $this->Member_Dues_History;
    }

    /**
     * @param mb_membership_Member_Dues_History_DataObjectType $Member_Dues_History
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\mb_membershipType
     */
    public function setMember_Dues_History($Member_Dues_History)
    {
      $this->Member_Dues_History = $Member_Dues_History;
      return $this;
    }

    /**
     * @return mb_membership_Dues_Variables_DataObjectType
     */
    public function getDues_Variables()
    {
      return $this->Dues_Variables;
    }

    /**
     * @param mb_membership_Dues_Variables_DataObjectType $Dues_Variables
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\mb_membershipType
     */
    public function setDues_Variables($Dues_Variables)
    {
      $this->Dues_Variables = $Dues_Variables;
      return $this;
    }

    /**
     * @return mb_membership_Payment_DataObjectType
     */
    public function getPayment()
    {
      return $this->Payment;
    }

    /**
     * @param mb_membership_Payment_DataObjectType $Payment
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\mb_membershipType
     */
    public function setPayment($Payment)
    {
      $this->Payment = $Payment;
      return $this;
    }

    /**
     * @return mb_membership_Payment_Info_DataObjectType
     */
    public function getPayment_Info()
    {
      return $this->Payment_Info;
    }

    /**
     * @param mb_membership_Payment_Info_DataObjectType $Payment_Info
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\mb_membershipType
     */
    public function setPayment_Info($Payment_Info)
    {
      $this->Payment_Info = $Payment_Info;
      return $this;
    }

    /**
     * @return mb_membership_Payment_Method_DataObjectType
     */
    public function getPayment_Method()
    {
      return $this->Payment_Method;
    }

    /**
     * @param mb_membership_Payment_Method_DataObjectType $Payment_Method
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\mb_membershipType
     */
    public function setPayment_Method($Payment_Method)
    {
      $this->Payment_Method = $Payment_Method;
      return $this;
    }

    /**
     * @return mb_membership_Association_Package_DataObjectType
     */
    public function getAssociation_Package()
    {
      return $this->Association_Package;
    }

    /**
     * @param mb_membership_Association_Package_DataObjectType $Association_Package
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\mb_membershipType
     */
    public function setAssociation_Package($Association_Package)
    {
      $this->Association_Package = $Association_Package;
      return $this;
    }

    /**
     * @return mb_membership_Association_DataObjectType
     */
    public function getAssociation()
    {
      return $this->Association;
    }

    /**
     * @param mb_membership_Association_DataObjectType $Association
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\mb_membershipType
     */
    public function setAssociation($Association)
    {
      $this->Association = $Association;
      return $this;
    }

    /**
     * @return mb_membership_Bundle_DataObjectType
     */
    public function getBundle()
    {
      return $this->Bundle;
    }

    /**
     * @param mb_membership_Bundle_DataObjectType $Bundle
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\mb_membershipType
     */
    public function setBundle($Bundle)
    {
      $this->Bundle = $Bundle;
      return $this;
    }

    /**
     * @return mb_membership_Installment_Billing_DataObjectType
     */
    public function getInstallment_Billing()
    {
      return $this->Installment_Billing;
    }

    /**
     * @param mb_membership_Installment_Billing_DataObjectType $Installment_Billing
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\mb_membershipType
     */
    public function setInstallment_Billing($Installment_Billing)
    {
      $this->Installment_Billing = $Installment_Billing;
      return $this;
    }

    /**
     * @return mb_membership_Package_Component_DataObjectType
     */
    public function getPackage_Component()
    {
      return $this->Package_Component;
    }

    /**
     * @param mb_membership_Package_Component_DataObjectType $Package_Component
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\mb_membershipType
     */
    public function setPackage_Component($Package_Component)
    {
      $this->Package_Component = $Package_Component;
      return $this;
    }

    /**
     * @return mb_membership_Package_DataObjectType
     */
    public function getPackage()
    {
      return $this->Package;
    }

    /**
     * @param mb_membership_Package_DataObjectType $Package
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\mb_membershipType
     */
    public function setPackage($Package)
    {
      $this->Package = $Package;
      return $this;
    }

    /**
     * @return mb_membership_Product_DataObjectType
     */
    public function getProduct()
    {
      return $this->Product;
    }

    /**
     * @param mb_membership_Product_DataObjectType $Product
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\mb_membershipType
     */
    public function setProduct($Product)
    {
      $this->Product = $Product;
      return $this;
    }

    /**
     * @return mb_membership_Chapter_Product_DataObjectType
     */
    public function getChapter_Product()
    {
      return $this->Chapter_Product;
    }

    /**
     * @param mb_membership_Chapter_Product_DataObjectType $Chapter_Product
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\mb_membershipType
     */
    public function setChapter_Product($Chapter_Product)
    {
      $this->Chapter_Product = $Chapter_Product;
      return $this;
    }

    /**
     * @return mb_membership_CustomerAddress_DataObjectType
     */
    public function getCustomerAddress()
    {
      return $this->CustomerAddress;
    }

    /**
     * @param mb_membership_CustomerAddress_DataObjectType $CustomerAddress
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\mb_membershipType
     */
    public function setCustomerAddress($CustomerAddress)
    {
      $this->CustomerAddress = $CustomerAddress;
      return $this;
    }

    /**
     * @return mb_membership_source_code_DataObjectType
     */
    public function getSource_code()
    {
      return $this->source_code;
    }

    /**
     * @param mb_membership_source_code_DataObjectType $source_code
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\mb_membershipType
     */
    public function setSource_code($source_code)
    {
      $this->source_code = $source_code;
      return $this;
    }

    /**
     * @return Invoice_DetailCollectionType
     */
    public function getInvoice_DetailCollection()
    {
      return $this->Invoice_DetailCollection;
    }

    /**
     * @param Invoice_DetailCollectionType $Invoice_DetailCollection
     * @return \Drupal\netForum\xWeb\Xml\Enterprise\Generated\Secure\mb_membershipType
     */
    public function setInvoice_DetailCollection($Invoice_DetailCollection)
    {
      $this->Invoice_DetailCollection = $Invoice_DetailCollection;
      return $this;
    }

}
